
A Parallax effect package, Package is useful for animations for items in foreground, or background scrolling effect.

## Features

+ Parallax movement with different stackable layers.
+ Supports 3 dimensional rotation.

![image not available](./assets/example.gif)
## Getting started
1. Use `Parallax` widget for Configurations:
    + **height**: _widget parent height_
    + **width**: _widget parent width_
    + **enableDrag**: _enables on click/tap movement_
    + **item**: _children of type `ParallaxItem`_
2. Use `ParallaxItem` widget for Configurations:
    + **factor**: ParallaxFactor(x,y)
    + **alignment**: _initial alignment of child_
    + **rotationFactor**: ParallaxFactor(x,y) for rotation
    + **child**: _child_


## Usage

```dart
class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text(widget.title),
        ),
        body: Parallax(
          height: 400,
          width: 400,
          enableDrag: true,
          items: List.generate(
              5,
              (index) => ParallaxItem(
                  factor: ParallaxFactor(x: 0.05 * index, y: 0.05 * index),
                  rotationFactor: ParallaxFactor(x: 0, y: 0.05 * index),
                  child:
                      Container(height: 50, width: 50, color: Colors.green))),
        ));
  }
}
```
